<!DOCTYPE html>
<html><head>
<title>eric7.Plugins.VcsPlugins.vcsMercurial</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<h1>eric7.Plugins.VcsPlugins.vcsMercurial</h1>
<p>
Package implementing the vcs interface to Mercurial.
</p>
<p>
It consists of the hg class, the project helper classes and some
Mercurial specific dialogs.
</p>


<h3>Packages</h3>
<table>

<tr>
<td><a href="index-eric7.Plugins.VcsPlugins.vcsMercurial.CloseheadExtension.html">CloseheadExtension</a></td>
<td>Package implementing the closehead extension support interface.</td>
</tr>
<tr>
<td><a href="index-eric7.Plugins.VcsPlugins.vcsMercurial.ConfigurationPage.html">ConfigurationPage</a></td>
<td>Package implementing the the Mercurial configuration page.</td>
</tr>
<tr>
<td><a href="index-eric7.Plugins.VcsPlugins.vcsMercurial.GpgExtension.html">GpgExtension</a></td>
<td>Package implementing the gpg extension support interface.</td>
</tr>
<tr>
<td><a href="index-eric7.Plugins.VcsPlugins.vcsMercurial.HisteditExtension.html">HisteditExtension</a></td>
<td>Package implementing the histedit extension support interface.</td>
</tr>
<tr>
<td><a href="index-eric7.Plugins.VcsPlugins.vcsMercurial.LargefilesExtension.html">LargefilesExtension</a></td>
<td>Package implementing the largefiles extension support interface.</td>
</tr>
<tr>
<td><a href="index-eric7.Plugins.VcsPlugins.vcsMercurial.PurgeExtension.html">PurgeExtension</a></td>
<td>Package implementing the purge extension support interface.</td>
</tr>
<tr>
<td><a href="index-eric7.Plugins.VcsPlugins.vcsMercurial.QueuesExtension.html">QueuesExtension</a></td>
<td>Package implementing the queues extension support interface.</td>
</tr>
<tr>
<td><a href="index-eric7.Plugins.VcsPlugins.vcsMercurial.RebaseExtension.html">RebaseExtension</a></td>
<td>Package implementing the rebase extension support interface.</td>
</tr>
<tr>
<td><a href="index-eric7.Plugins.VcsPlugins.vcsMercurial.ShelveExtension.html">ShelveExtension</a></td>
<td>Package implementing the shelve extension support interface.</td>
</tr>
<tr>
<td><a href="index-eric7.Plugins.VcsPlugins.vcsMercurial.StripExtension.html">StripExtension</a></td>
<td>Package implementing the strip extension support interface.</td>
</tr>
</table>

<h3>Modules</h3>
<table>

<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.Config.html">Config</a></td>
<td>Module defining configuration variables for the Mercurial package.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgAddSubrepositoryDialog.html">HgAddSubrepositoryDialog</a></td>
<td>Module implementing a dialog to add a sub-repository.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgAnnotateDialog.html">HgAnnotateDialog</a></td>
<td>Module implementing a dialog to show the output of the hg annotate command.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgArchiveDialog.html">HgArchiveDialog</a></td>
<td>Module implementing a dialog to enter the archive data.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgBackoutDialog.html">HgBackoutDialog</a></td>
<td>Module implementing a dialog to enter the data for a backout operation.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgBookmarkDialog.html">HgBookmarkDialog</a></td>
<td>Module implementing the bookmark dialog.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgBookmarkRenameDialog.html">HgBookmarkRenameDialog</a></td>
<td>Module implementing a dialog to get the data to rename a bookmark.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgBookmarksInOutDialog.html">HgBookmarksInOutDialog</a></td>
<td>Module implementing a dialog to show a list of incoming or outgoing bookmarks.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgBookmarksListDialog.html">HgBookmarksListDialog</a></td>
<td>Module implementing a dialog to show a list of bookmarks.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgBranchInputDialog.html">HgBranchInputDialog</a></td>
<td>Module implementing a dialog to enter the data for a branch operation.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgBundleDialog.html">HgBundleDialog</a></td>
<td>Module implementing a dialog to enter the data for a bundle operation.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgClient.html">HgClient</a></td>
<td>Module implementing an interface to the Mercurial command server.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgClientPromptDialog.html">HgClientPromptDialog</a></td>
<td>Module implementing a prompt dialog for the Mercurial command server.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgCommandDialog.html">HgCommandDialog</a></td>
<td>Module implementing the Mercurial command dialog.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgCommitDialog.html">HgCommitDialog</a></td>
<td>Module implementing a dialog to enter the commit message.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgConflictsListDialog.html">HgConflictsListDialog</a></td>
<td>Module implementing a dialog to show a list of files which had or still have conflicts.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgCopyDialog.html">HgCopyDialog</a></td>
<td>Module implementing a dialog to enter the data for a copy or rename operation.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgDialog.html">HgDialog</a></td>
<td>Module implementing a dialog starting a process and showing its output.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgDiffDialog.html">HgDiffDialog</a></td>
<td>Module implementing a dialog to show the output of the hg diff command process.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgDiffGenerator.html">HgDiffGenerator</a></td>
<td>Module implementing a class to generate the output of the hg diff command.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgDiffHighlighter.html">HgDiffHighlighter</a></td>
<td>Module implementing a syntax highlighter for unified and context diff outputs.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgExportDialog.html">HgExportDialog</a></td>
<td>Module implementing a dialog to enter data for the Mercurial export command.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgExtension.html">HgExtension</a></td>
<td>Module implementing the base class for Mercurial extension interfaces.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgExtensionProjectBrowserHelper.html">HgExtensionProjectBrowserHelper</a></td>
<td>Module implementing the project browser helper base for Mercurial extension interfaces.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgExtensionProjectHelper.html">HgExtensionProjectHelper</a></td>
<td>Module implementing the project helper base for Mercurial extension interfaces.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgGraftDialog.html">HgGraftDialog</a></td>
<td>Module implementing a dialog to enter the data for a graft session.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgImportDialog.html">HgImportDialog</a></td>
<td>Module implementing a dialog to enter data for the Mercurial import command.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgLogBrowserDialog.html">HgLogBrowserDialog</a></td>
<td>Module implementing a dialog to browse the log history.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgMergeDialog.html">HgMergeDialog</a></td>
<td>Module implementing a dialog to enter the data for a merge operation.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgNewProjectOptionsDialog.html">HgNewProjectOptionsDialog</a></td>
<td>Module implementing the Mercurial Options Dialog for a new project from the repository.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgOptionsDialog.html">HgOptionsDialog</a></td>
<td>Module implementing a dialog to enter options used to start a project in the VCS.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgPhaseDialog.html">HgPhaseDialog</a></td>
<td>Module implementing a dialog to enter data for the Mercurial Phase operation.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgRemoveSubrepositoriesDialog.html">HgRemoveSubrepositoriesDialog</a></td>
<td>Module implementing a dialog to remove sub-repositories.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgRepoConfigDataDialog.html">HgRepoConfigDataDialog</a></td>
<td>Module implementing a dialog to enter data needed for the initial creation of a repository configuration file (hgrc).</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgRevisionSelectionDialog.html">HgRevisionSelectionDialog</a></td>
<td>Module implementing a dialog to select a revision.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgRevisionsSelectionDialog.html">HgRevisionsSelectionDialog</a></td>
<td>Module implementing a dialog to enter the revisions for the hg diff command.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgServeDialog.html">HgServeDialog</a></td>
<td>Module implementing a dialog for the Mercurial server.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgStatusDialog.html">HgStatusDialog</a></td>
<td>Module implementing a dialog to show the output of the hg status command process.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgStatusMonitorThread.html">HgStatusMonitorThread</a></td>
<td>Module implementing the VCS status monitor thread class for Mercurial.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgSummaryDialog.html">HgSummaryDialog</a></td>
<td>Module implementing a dialog to show some summary information of the working directory state.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgTagBranchListDialog.html">HgTagBranchListDialog</a></td>
<td>Module implementing a dialog to show a list of tags or branches.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgTagDialog.html">HgTagDialog</a></td>
<td>Module implementing a dialog to enter the data for a tagging operation.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgUserConfigDialog.html">HgUserConfigDialog</a></td>
<td>Module implementing a dialog to enter some user data.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgUserConfigHostFingerprintDialog.html">HgUserConfigHostFingerprintDialog</a></td>
<td>Module implementing a dialog to edit a host fingerprint.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgUserConfigHostMinimumProtocolDialog.html">HgUserConfigHostMinimumProtocolDialog</a></td>
<td>Module implementing a dialog to enter the minimum protocol for a host.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.HgUtilities.html">HgUtilities</a></td>
<td>Module implementing some common utility functions for the Mercurial package.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.ProjectBrowserHelper.html">ProjectBrowserHelper</a></td>
<td>Module implementing the VCS project browser helper for Mercurial.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.ProjectHelper.html">ProjectHelper</a></td>
<td>Module implementing the VCS project helper for Mercurial.</td>
</tr>
<tr>
<td><a href="eric7.Plugins.VcsPlugins.vcsMercurial.hg.html">hg</a></td>
<td>Module implementing the version control systems interface to Mercurial.</td>
</tr>
</table>
</body></html>
